#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    mark = ' ';
    first = "";
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::digit (char c)
{
    QString t = ui->lineEdit->text();
    ui->lineEdit->setText(t + c);
}

void MainWindow::arit (char c)
{
    mark = c;
    first = ui->lineEdit->text();
    ui->lineEdit->setText ("");
}

void MainWindow::calc ()
{
    double a = first.toDouble ();
    double b = ui->lineEdit->text().toDouble ();
    double r = 0;
    if (mark == '+') r = a + b;
    if (mark == '-') r = a - b;
    if (mark == '*') r = a * b;
    if (mark == '/') r = b != 0 ? a / b : 1000000;
    QString t = QString::number (r);
    ui->lineEdit->setText(t);
    // bool ok;
    // double a = first.toDouble (&ok);
    // if (! ok) a = 0;
}

void MainWindow::on_pushButton_clicked()
{
    digit ('7');
}

void MainWindow::on_pushButton_10_clicked()
{
    arit ('+');
}

void MainWindow::on_pushButton_16_clicked()
{
    calc ();
}
